@echo off
rem  **************************************************************************
rem  **                                                                      **
rem  **         Installation Batch File:                                     **
rem  **         GENOA 8000 series boards                                     **
rem  **                   and                                                **
rem  **                 Cadvance                                             **
rem  **                                                                      **
rem  **************************************************************************
cls
echo .
echo Device Driver Install Disk
echo for Cadvance
echo .

if NOT EXIST install.bat goto Continue
if NOT EXIST atc8514.drv goto Continue
c:
cd\
echo Installing Cadvance driver on drive C:
goto inst_cdv
:Continue
echo Installing Cadvance driver on the default drive
:inst_cdv
if NOT EXIST \cad\cad.exe goto USAGE
rem install the CADVANCE files here...
echo Please wait for a moment while the files are transfered...
echo .
copy a:cdv.drv \cad\gs.drv
copy a:cad.rnd \cad\cad.rnd
echo .
echo File transfers complete. Cadvance configuration is complete.
echo .
echo Cadvance driver installation complete
goto All_Done
:USAGE
echo .
echo In order to be installed correctly, the following conditions must
echo be true:
echo .
echo   *   This install disk must be in drive A
echo   *   The CURRENT drive must contain Cadvance
echo .
echo No other exceptions are allowed by this installation program.
echo .
echo To install in non-standard directories, please refer to the instructions
echo in this installation program. (A:READ.ME)
goto end
:All_Done
rem Here we will tell the user that installation is complete
rem
echo Cadvance graphics driver installation is now complete!
:end
