@echo off
rem  **************************************************************************
rem  **                                                                      **
rem  **         Installation Batch File:                                     **
rem  **         GENOA 8000 series boards                                     **
rem  **                   and                                                **
rem  **               Cadkey 3.55                                            **
rem  **               Cadkey 386                                             **
rem  **               Cadkey 4.0                                             **
rem  **                   or                                                 **
rem  **               DataCAD 4.0                                            **
rem  **                                                                      **
rem  **************************************************************************
cd \
cls
echo .
echo Device Driver Install Disk
echo for Cadkey and/or DataCAD and the GENOA 8000 series board(s)
if NOT EXIST install.bat goto Continue
if NOT EXIST dl_8514.exe goto Continue
if NOT EXIST atc8514.exe goto Continue
c:
echo Searching for Cadkey products on drive C:
goto inst_DCAD
:Continue
echo Searching for Cadkey products on the default drive
:inst_DCAD
if NOT EXIST \mtec\dcad.exe goto inst_CK
rem install the dataCAD files here...
echo Please wait for a moment while the files are transfered...
echo .
rename \mtec\drv\drivers.gd4 drivers4.bak
echo  .
rename \mtec\drv\drivers.gd2 drivers2.bak
echo   .
copy \mtec\drv\drivers4.bak+a:drivers.gd4 \mtec\drv\drivers.gd4 > a:inst.st
echo    .
copy \mtec\drv\drivers2.bak+a:drivers.gd2 \mtec\drv\drivers.gd2 > a:inst.st
echo     .
copy a:dl_911.exe \mtec\drv\dl_911.exe > a:inst.st
echo      .
copy a:ck_911.exe \mtec\drv\ck_911.exe > a:inst.st
echo       .
echo File transfers complete. To finish configuring DataCAD, the
echo DataCAD configuration program must be run to tell DataCAD about
echo these new drivers.
echo .
echo To cancel the config program, press ^C now, or
pause
cd \mtec
config
echo .
echo DATACAD driver installation complete
goto All_Done
:inst_CK
if NOT EXIST \cadkey\cadkey.exe goto All_Done
rem install the CADKEY files here...
echo Please wait a moment while the driver files are transfered...
echo .
rename \cadkey\grdev.dat grdev.bak
echo  .
copy \cadkey\grdev.bak+a:grdev.dat \cadkey\grdev.dat > a:inst.st
echo   .
copy a:ck_911.exe \cadkey > a:inst.st
echo    .
echo File transfers complete. To finish configuring CADKEY, the
echo CADKEY configuration program must be run in order to use
echo these new drivers.
echo .
echo To cancel the config program, press ^C now, or
pause
cd \cadkey
config
echo .
echo CADKEY driver installation complete
goto All_Done
:USAGE
echo .
echo In order to be installed correctly, the following conditions must
echo be true:
echo .
echo   *   This install disk must be in drive A
echo   *   The CURRENT drive must contain Cadkey or DataCAD
echo .
echo No other exceptions are allowed by this installation program.
echo .
echo To install in non-standard directories, please refer to the instructions
echo in this installation program. (A:READ.ME)
goto end
:All_Done
if NOT EXIST a:inst.st goto USAGE
del a:inst.st
rem Here we will tell the user that installation is complete
rem
echo Display driver installation is now complete!
:end
