// define surface characteristics this file includes simple matte and
// reflective surface characteristics for some common colors.
// Polyray input file - Alexander Enzmann

define glass
texture {
   surface {
      ambient 0
      diffuse 0
      specular 0.2
      reflection white, 0.1
      transmission white, 1, 1.5
      }
   }

define mirror
texture {
   surface {
      ambient white, 0.1
      diffuse white, 0.2
      specular 0
      reflection white, 1
      }
   }

define reflective_white
texture {
   surface {
      ambient white, 0.1
      diffuse 0
      specular white, 0.4
      reflection white, 0.8
      microfacet Phong 5
      }
   }

define reflective_grey
texture {
   surface {
      ambient grey, 0.2
      diffuse grey, 0.8
      specular grey, 0.7
      reflection grey, 0.7
      microfacet Phong 10
      }
   }

define reflective_blue
texture {
   surface {
      ambient blue, 0.2
      diffuse blue, 0.8
      specular blue, 0.7
      reflection white, 0.7
      microfacet Phong 10
      }
   }

define reflective_red
texture {
   surface {
      ambient red, 0.2
      diffuse red, 0.8
      specular red, 0.7
      reflection white, 0.7
      microfacet Phong 10
      }
   }

define reflective_green
texture {
   surface {
      ambient green, 0.2
      diffuse green, 0.5
      specular green, 0.7
      reflection white, 0.7
      microfacet Phong 10
      }
   }

define reflective_orange
texture {
   surface {
      ambient orange, 0.2
      diffuse orange, 0.8
      specular orange, 0.7
      reflection white, 0.7
      microfacet Phong 10
      }
   }

define reflective_yellow
texture {
   surface {
      ambient yellow, 0.2
      diffuse yellow, 0.5
      specular yellow, 0.7
      reflection white, 0.7
      microfacet Phong 10
      }
   }

define reflective_cyan
texture {
   surface {
      ambient cyan, 0.2
      diffuse cyan, 0.5
      specular cyan, 0.7
      reflection white, 0.7
      microfacet Phong 10
      }
   }

define reflective_brown
texture {
   surface {
      ambient brown, 0.2
      diffuse brown, 0.8
      specular brown, 0.7
      reflection white, 0.7
      microfacet Phong 10
      }
   }

define reflective_tan
texture {
   surface {
      ambient Tan, 0.2
      diffuse Tan, 0.8
      specular Tan, 0.7
      reflection white, 0.7
      microfacet Phong 10
      }
   }

define reflective_coral
texture {
   surface {
      ambient coral, 0.2
      diffuse coral, 0.8
      specular coral, 0.7
      reflection white, 0.7
      microfacet Phong 10
      }
   }

define reflective_gold
texture {
   surface {
      ambient gold, 0.2
      diffuse gold, 0.8
      specular gold, 0.7
      reflection white, 0.7
      microfacet Phong 10
      }
   }

define shiny_red
texture {
   surface {
      ambient red, 0.2
      diffuse red, 0.6
      specular white, 0.8
      microfacet Reitz 10
      }
   }

define shiny_green
texture {
   surface {
      ambient green, 0.2
      diffuse green, 0.6
      specular white, 0.8
      microfacet Reitz 10
      }
   }

define shiny_blue
texture {
   surface {
      ambient blue, 0.2
      diffuse blue, 0.6
      specular white, 0.8
      microfacet Reitz 10
      }
   }

define shiny_orange
texture {
   surface {
      ambient orange, 0.2
      diffuse orange, 0.6
      specular white, 0.8
      microfacet Reitz 10
      }
   }

define shiny_cyan
texture {
   surface {
      ambient cyan, 0.2
      diffuse cyan, 0.6
      specular white, 0.8
      microfacet Reitz 10
      }
   }

define shiny_yellow
texture {
   surface {
      ambient yellow, 0.2
      diffuse yellow, 0.6
      specular white, 0.8
      microfacet Reitz 10
      }
   }

define shiny_magenta
texture {
   surface {
      ambient magenta, 0.2
      diffuse magenta, 0.6
      specular white, 0.8
      microfacet Reitz 10
      }
   }

define shiny_coral
texture {
   surface {
      ambient coral, 0.2
      diffuse coral, 0.6
      specular white, 0.8
      microfacet Reitz 10
      }
   }

define matte_white
texture {
   surface {
      ambient white, 0.2
      diffuse white, 0.8
      }
   }

define matte_black
texture {
   surface {
      ambient dark_slate_gray, 0.1
      diffuse DarkSlateGray, 0.5
      }
   }

define matte_grey
texture {
   surface {
      ambient grey, 0.2
      diffuse grey, 0.7
      }
   }

define matte_red
texture {
   surface {
      ambient red, 0.2
      diffuse red, 0.8
      }
   }

define matte_blue
texture {
   surface {
      ambient blue, 0.2
      diffuse blue, 0.8
      }
   }

define matte_green
texture {
   surface {
      ambient green, 0.2
      diffuse green, 0.8
      }
   }

define matte_cyan
texture {
   surface {
      ambient cyan, 0.2
      diffuse cyan, 0.8
      }
   }

define matte_yellow
texture {
   surface {
      ambient yellow, 0.2
      diffuse yellow, 0.8
      }
   }

define matte_magenta
texture {
   surface {
      ambient magenta, 0.2
      diffuse magenta, 0.8
      }
   }

define matte_orange
texture {
   surface {
      ambient orange, 0.2
      diffuse orange, 0.8
      }
   }

define matte_aquamarine
texture {
   surface {
      ambient aquamarine, 0.2
      diffuse aquamarine, 0.8
      }
   }

define shiny_steel_blue
texture {
   surface {
      ambient steel_blue, 0.3
      diffuse steel_blue, 0.8
      specular white, 0.7
      }
   }

define matte_brown
texture {
   surface {
      ambient brown, 0.2
      diffuse brown, 0.8
      }
   }
