@echo off
echo off
cls
rem  **************************************************************************
rem  **                                                                      **
rem  **         Installation Batch File:                                     **
rem  **         GENOA 8000 series boards                                     **
rem  **                  and                                                 **
rem  **       Intergraph's MicroStation PC                                   **
rem  **                                                                      **
rem  **************************************************************************
echo .
echo Device Driver Install Disk
echo for MicroStation PC and the GENOA 8000 series board(s)
echo .
rem
rem first, make certain we're not logged onto the A drive
rem
if NOT EXIST install.bat goto Continue
if NOT EXIST readme.bat goto Continue
if NOT EXIST readme.doc goto Continue
if EXIST \DGN goto Continue
rem
rem since we are, lets go to the C: drive
rem
c:
cd \
echo Searching for MicroStation on C: drive
goto inst_ustn3
:Continue
echo Searching for MicroStation on the default drive
cd \
:inst_ustn3
if EXIST a:install.sta del a:install.sta
if NOT EXIST \ustation\mgds.exe goto inst_ustn4
echo MicroStation found
echo please wait while files are copied
cd \ustation\drivers
copy a:mglgn8.exe mglgn8.exe > a:install.sta
echo .
copy a:mglgn8.mgl mglgn8.mgl > a:install.sta
echo .
cd \ustation
copy a:remove.exe remove.exe > a:install.sta
echo .
echo Please configure MicroStation for "GENOA 8000 Graphics Card"
pause
usconfig
echo MicroStation 3.xx driver installation complete
:inst_ustn4
if NOT EXIST \ustn40\mgds.exe goto All_Done
echo MicroStation PC 4.0 [beta version] found
echo please wait while files are copied
cd \ustn40\drivers
copy a:mglgn8.exe mglgn8.exe > a:install.sta
echo .
copy a:mglgn8.mgl mglgn8.mgl > a:install.sta
echo .
cd ..
copy a:remove.exe remove.exe > a:install.sta
echo .
echo Please configure MicroStation 4.0 for "GENOA 8000 Graphics Card"
pause
usconfig
echo MicroStation 4.0 driver installation complete
goto All_Done
:USAGE
echo .
echo In order to be installed correctly, the following conditions must
echo be true:
echo .
echo   *   This install disk must be in drive A
echo   *   The install disk cannot be write protected
echo   *   The CURRENT drive must contain MicroStation PC
echo .
echo No other exceptions are allowed by this installation program.
echo .
echo To install in non-standard directories, please refer to the instructions
echo in the manual. (A:READ.ME)
goto end
:All_Done
rem
rem Here we will tell the user that installation is complete
rem
if NOT EXIST a:install.sta goto USAGE
del a:install.sta
echo MicroStation graphics driver installation is now complete!
:end
