; Two public procedures:
;    Randomize()      
;    AX := Random(AX), the Turbo Pascal Random() fn, but about 25% faster

         page     80,132
         assume   cs:Code,ds:Data

Data     segment  word public

RandSeed dd       122658h                ; 32 bit random seed

Data     ends


Code     segment  byte public

         public   Randomiz
Randomiz proc     near
         mov      ah,2Ch                 ; DOS time of day fn
         int      21h                    ; call DOS dispatcher to get tod
         mov      word ptr [RandSeed],cx
         mov      word ptr [RandSeed+2],dx
         ret
Randomiz EndP

         public   Random
Random   proc     near                   ; return random from 0 to AX-1 in AX
                                         ; scrambles all ?X and ?I registers!!
         mov      cx,ax                  ; save limit
                                         ; then, generate 32 bit pseudo-random
         mov      ax,word ptr [RandSeed+2] ; get saved seed
         mov      bx,word ptr [RandSeed]
         mov      si,ax                  ; hold onto it
         mov      di,bx
         mov      dl,ah
         mov      ah,al
         mov      al,bh
         mov      bh,bl
         xor      bl,bl
         rcr      dl,1
         rcr      ax,1
         rcr      bx,1
         add      bx,di
         adc      ax,si
         add      bx,62e9h
         adc      ax,3619h
         mov      word ptr [RandSeed],bx
         mov      word ptr [RandSeed+2],ax
                                         ; then, use the high word
         xor      dx,dx                  ; clear high word for division
         div      cx                     ; divide by N
         mov      ax,dx                  ; return modulus
         ret
Random   EndP

Code     ends
         end

